Bug 175761 - [PATCH] sysutils/superiotool: [SUMMARIZE CHANGES]
Summary: [PATCH] sysutils/superiotool: [SUMMARIZE CHANGES]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-01 13:10 UTC by Andriy Gapon
Modified: 2013-02-01 15:10 UTC (History)
0 users

See Also:


Attachments
superiotool-20121019.patch (4.85 KB, patch)
2013-02-01 13:10 UTC, Andriy Gapon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Gapon 2013-02-01 13:10:00 UTC
[DESCRIBE CHANGES]

Added file(s):
- files/patch-Makefile

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-01 13:10:07 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov freebsd_committer 2013-02-01 14:39:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 3 Dmitry Marakasov freebsd_committer 2013-02-01 15:06:53 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-02-01 15:06:53 UTC
Author: amdmi3
Date: Fri Feb  1 15:06:45 2013
New Revision: 311382
URL: http://svnweb.freebsd.org/changeset/ports/311382

Log:
  - Update to 20121019
  
  PR:		175761
  Submitted by:	Andriy Gapon <avg@icyb.net.ua> (maintainer)

Added:
  head/sysutils/superiotool/files/
  head/sysutils/superiotool/files/patch-Makefile   (contents, props changed)
Modified:
  head/sysutils/superiotool/Makefile
  head/sysutils/superiotool/distinfo

Modified: head/sysutils/superiotool/Makefile
==============================================================================
--- head/sysutils/superiotool/Makefile	Fri Feb  1 15:04:00 2013	(r311381)
+++ head/sysutils/superiotool/Makefile	Fri Feb  1 15:06:45 2013	(r311382)
@@ -1,18 +1,21 @@
-# New ports collection makefile for:	superiotool
-# Date created:		2009-09-30
-# Whom:			Andriy Gapon <avg@icyb.net.ua>
-#
+# Created by: Andriy Gapon <avg@icyb.net.ua>
 # $FreeBSD$
-#
 
 PORTNAME=	superiotool
-DISTVERSION=	20090930
+DISTVERSION=	20121019
 CATEGORIES=	sysutils
-MASTER_SITES=	http://www.icyb.net.ua/~avg/distfiles/
+MASTER_SITES=	${MASTER_SITE_LOCAL} \
+		http://www.icyb.net.ua/~avg/distfiles/
+MASTER_SITE_SUBDIR=avg
 
 MAINTAINER=	avg@icyb.net.ua
 COMMENT=	Helper tool for Super I/O chip detection and analysis
 
+LIB_DEPENDS=	pci:${PORTSDIR}/devel/libpci
+
+ONLY_FOR_ARCHS=	i386 amd64
+ONLY_FOR_ARCHS_REASON=The tool is for x86-specific hardware
+
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 
@@ -20,31 +23,10 @@ PLIST_FILES=	sbin/superiotool
 MAN8=		superiotool.8
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
-SVNROOT=	svn://coreboot.org/repos/trunk/util/superiotool
-
-gen-dist:
-	@if [ ! -f ${LOCALBASE}/bin/svn ]; then \
-		${ECHO_CMD} "ERROR: You need to have devel/subversion installed for gen-dist target"; \
-		${FALSE}; \
-	fi
-	@if [ ! -f ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} ]; then \
-		${MKDIR} ${WRKDIR}/svn; \
-		cd ${WRKDIR}/svn && svn co ${SVNROOT}; \
-		${TAR} cfj ${_DISTDIR}${DISTFILES} ${PORTNAME}; \
-		cd ${WRKDIR} && ${RM} -rf svn; \
-		cd ${.CURDIR} && ${MAKE} ${__softMAKEFLAGS} makesum; \
-	fi
+UPSTREAM_VERS=	4.0-2827-g1a00cf0
+MAKE_ENV+=	VERSION=-DSUPERIOTOOL_VERSION='\"${UPSTREAM_VERS}\"'
 
 post-patch:
-	@${REINPLACE_CMD} -e 's#/share/man/#/man/#g' -e 's#-ansi##g' \
-		-Ee '\#^(CC|INSTALL|PREFIX)#s#=#?=#' \
-		-e '\#^CFLAGS#s#=#+=#' -e 's#-O2##' \
-		${WRKSRC}/Makefile
-
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == "ia64" || ${ARCH} == "powerpc" || ${ARCH} == "sparc64"
-BROKEN=		Does not compile on ia64, powerpc, or sparc64: attempts to use i386 asm
-.endif
+	${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' ${WRKSRC}/Makefile
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/sysutils/superiotool/distinfo
==============================================================================
--- head/sysutils/superiotool/distinfo	Fri Feb  1 15:04:00 2013	(r311381)
+++ head/sysutils/superiotool/distinfo	Fri Feb  1 15:06:45 2013	(r311382)
@@ -1,2 +1,2 @@
-SHA256 (superiotool-20090930.tar.bz2) = 2d06800cc1e24622526d6a1dc729eaee94e7a50ffd2600e60064a77fcebb3dca
-SIZE (superiotool-20090930.tar.bz2) = 29348
+SHA256 (superiotool-20121019.tar.bz2) = d4140f3a50e53f46dd9b1edfc8353113f29f437201907d613150d431dbfc7a62
+SIZE (superiotool-20121019.tar.bz2) = 29827

Added: head/sysutils/superiotool/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/superiotool/files/patch-Makefile	Fri Feb  1 15:06:45 2013	(r311382)
@@ -0,0 +1,49 @@
+--- Makefile.orig	2012-10-19 16:44:32.000000000 +0300
++++ Makefile	2012-10-20 01:32:35.427651135 +0300
+@@ -20,28 +20,24 @@
+ 
+ PROGRAM = superiotool
+ 
+-CC      = gcc
+-INSTALL = /usr/bin/install
+-PREFIX  = /usr/local
++CC      ?= gcc
++INSTALL ?= /usr/bin/install
++PREFIX  ?= /usr/local
+ 
+ # Set the superiotool version string to the output of 'git describe'.
+ 
+-VERSION := -D'SUPERIOTOOL_VERSION="$(shell git describe 2>/dev/null)"'
+-
+-CFLAGS += -O2 -Wall -Wstrict-prototypes -Wundef -Wstrict-aliasing \
+-         -Werror-implicit-function-declaration -ansi -pedantic $(VERSION)
+-LDFLAGS += -lz
++VERSION ?= -D'SUPERIOTOOL_VERSION="$(shell git describe 2>/dev/null)"'
+ 
+ OBJS = superiotool.o serverengines.o ali.o fintek.o ite.o nsc.o nuvoton.o \
+        smsc.o winbond.o infineon.o
+ 
+-OS_ARCH = $(shell uname)
++OS_ARCH = FreeBSD
+ ifeq ($(OS_ARCH), Darwin)
+ LIBS = -framework IOKit -framework DirectHW -lpci -lz
+ endif
+ ifeq ($(OS_ARCH), FreeBSD)
+-CFLAGS = -O2 -Wall -Werror -Wstrict-prototypes -Wundef -Wstrict-aliasing \
+-         -Werror-implicit-function-declaration -ansi $(VERSION) \
++CFLAGS += -Wall -Werror -Wstrict-prototypes -Wundef -Wstrict-aliasing \
++         -Werror-implicit-function-declaration $(VERSION) \
+          -I/usr/local/include
+ LDFLAGS += -L/usr/local/lib
+ LIBS = -lz
+@@ -69,8 +65,8 @@ $(PROGRAM): $(OBJS) superiotool.h
+ install: $(PROGRAM)
+ 	mkdir -p $(DESTDIR)$(PREFIX)/sbin
+ 	$(INSTALL) $(PROGRAM) $(DESTDIR)$(PREFIX)/sbin
+-	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man8
+-	$(INSTALL) $(PROGRAM).8 $(DESTDIR)$(PREFIX)/share/man/man8
++	mkdir -p $(DESTDIR)$(PREFIX)/man/man8
++	$(INSTALL) $(PROGRAM).8 $(DESTDIR)$(PREFIX)/man/man8
+ 
+ clean:
+ 	rm -f $(PROGRAM) *.o
\ No newline at end of file
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"